Debugger API (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 4.12. CUDBGEventCallbackData Struct Reference

## [Events]

### Public Variables

uint32_t tid
  Host thread id of the context generating the event. Zero if not available.
uint32_t timeout
  A boolean notifying the debugger that the debug API timed while waiting for a reponse from the debugger to a previous event. It is up to the debugger to decide what to do in response to a timeout.

### Variables

uint32_t CUDBGEventCallbackData::tid [inherited]

  Host thread id of the context generating the event. Zero if not available.

uint32_t CUDBGEventCallbackData::timeout [inherited]

  A boolean notifying the debugger that the debug API timed while waiting for a reponse from the debugger to a previous event. It is up to the debugger to decide what to do in response to a timeout.